## AgsLv2UriMapManager

AgsLv2UriMapManager — lv2 uri map manager

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LV2_URI_MAP_MANAGER_GET_OBJ_MUTEX()
gboolean | ags_lv2_uri_map_manager_insert ()
gboolean | ags_lv2_uri_map_manager_remove ()
GValue * | ags_lv2_uri_map_manager_lookup ()
void | ags_lv2_uri_map_manager_load_default ()
uint32_t | ags_lv2_uri_map_manager_uri_to_id ()
AgsLv2UriMapManager * | ags_lv2_uri_map_manager_get_instance ()
AgsLv2UriMapManager * | ags_lv2_uri_map_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsLv2UriMapManager

## Includes

    #include <ags/plugin/ags_lv2_uri_map_manager.h>

## Description

The AgsLv2UriMapManager keeps your uri in a hash table where you can lookup your ids.

## Functions

### AGS_LV2_URI_MAP_MANAGER_GET_OBJ_MUTEX()

    #define AGS_LV2_URI_MAP_MANAGER_GET_OBJ_MUTEX(obj) (&(((AgsLv2UriMapManager *) obj)->obj_mutex))

### ags_lv2_uri_map_manager_insert ()

    gboolean
    ags_lv2_uri_map_manager_insert (AgsLv2UriMapManager *lv2_uri_map_manager,
                                    gchar *uri,
                                    GValue *id);

Inserts a id into hash map associated with `uri` .

#### Parameters

lv2_uri_map_manager | the AgsLv2UriMapManager |
uri | the object as key |
id | the id to insert |

#### Returns

`TRUE` on success, otherwise `FALSE`

Since: 3.0.0

### ags_lv2_uri_map_manager_remove ()

    gboolean
    ags_lv2_uri_map_manager_remove (AgsLv2UriMapManager *lv2_uri_map_manager,
                                    gchar *uri);

Removes a lock associated with `uri.3`

#### Parameters

lv2_uri_map_manager | the AgsLv2UriMapManager |
uri | the object to remove |

#### Returns

`TRUE` as successfully removed, otherwise `FALSE`

Since: 3.0.0

### ags_lv2_uri_map_manager_lookup ()

    GValue *
    ags_lv2_uri_map_manager_lookup (AgsLv2UriMapManager *lv2_uri_map_manager,
                                    gchar *uri);

Lookup a id associated with `uri` in `lv2_uri_map_manager`

#### Parameters

lv2_uri_map_manager | the AgsLv2UriMapManager |
uri | the object to lookup |

#### Returns

the id on success, else G_MAXUINT32

Since: 3.0.0

### ags_lv2_uri_map_manager_load_default ()

    void
    ags_lv2_uri_map_manager_load_default (AgsLv2UriMapManager *lv2_uri_map_manager);

### ags_lv2_uri_map_manager_uri_to_id ()

    uint32_t
    ags_lv2_uri_map_manager_uri_to_id (LV2_URI_Map_Callback_Data callback_data,
                                       char *map,
                                       char *uri);

### ags_lv2_uri_map_manager_get_instance ()

    AgsLv2UriMapManager *
    ags_lv2_uri_map_manager_get_instance ();

Singleton function to optain the id manager instance.

#### Returns

an instance of AgsLv2UriMapManager.

[transfer none]

Since: 3.0.0

### ags_lv2_uri_map_manager_new ()

    AgsLv2UriMapManager *
    ags_lv2_uri_map_manager_new ();

Instantiate a id manager.

#### Returns

a new AgsLv2UriMapManager

Since: 3.0.0